Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
EDGEPT Struct Reference

`#include <blobs.h>`

List of all members.

## Public Member Functions

| EDGEPT ()
| EDGEPT (const EDGEPT &src)
EDGEPT & | operator= (const EDGEPT &src)
void | CopyFrom (const EDGEPT &src)
void | Hide ()
void | Reveal ()
bool | IsHidden () const

## Public Attributes

TPOINT | pos
VECTOR | vec
char | flags [EDGEPTFLAGS]
EDGEPT * | next
EDGEPT * | prev

## Detailed Description

Definition at line 72 of file blobs.h.

## Constructor & Destructor Documentation

EDGEPT::EDGEPT | ( |  | ) |

inline

Definition at line 73 of file blobs.h.

: next(NULL), prev(NULL) {
memset(flags, 0, EDGEPTFLAGS * sizeof(flags[0]));
}

EDGEPT::EDGEPT | ( | const EDGEPT & | src | ) |

inline

Definition at line 76 of file blobs.h.

: next(NULL), prev(NULL) {
CopyFrom(src);
}

## Member Function Documentation

void EDGEPT::CopyFrom | ( | const EDGEPT & | src | ) |

inline

Definition at line 84 of file blobs.h.

{
pos = src.pos;
vec = src.vec;
memcpy(flags, src.flags, EDGEPTFLAGS * sizeof(flags[0]));
}

void EDGEPT::Hide | ( |  | ) |

inline

Definition at line 90 of file blobs.h.

{
flags[0] = true;
}

bool EDGEPT::IsHidden | ( |  | ) | const

inline

Definition at line 96 of file blobs.h.

{
return flags[0] != 0;
}

EDGEPT& EDGEPT::operator= | ( | const EDGEPT & | src | ) |

inline

Definition at line 79 of file blobs.h.

{
CopyFrom(src);
return *this;
}

void EDGEPT::Reveal | ( |  | ) |

inline

Definition at line 93 of file blobs.h.

{
flags[0] = false;
}

## Member Data Documentation

char EDGEPT::flags[EDGEPTFLAGS]

Definition at line 105 of file blobs.h.

EDGEPT* EDGEPT::next

Definition at line 106 of file blobs.h.

TPOINT EDGEPT::pos

Definition at line 100 of file blobs.h.

EDGEPT* EDGEPT::prev

Definition at line 107 of file blobs.h.

VECTOR EDGEPT::vec

Definition at line 101 of file blobs.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/blobs.h